lang = lephisto.lang()
if lang == "es" then
  -- Not translated.
else -- Default English.
  misn_title  = "Empire Recruitment"
  misn_reward = "%d Scred"
  misn_desc   = "Deliver some parcels for the Empire to %s."
  title = {}
  title[1]  = "Spaceport Bar"
  title[2]  = "Empire Recruitment"
  title[3]  = "Mission Accomplished"
  text      = {}
  text[1]   = [[As you enter the bar you can't help but notice that a fellow at a table has been looking at you since you came in. You tend to your business as if you hadn't noticed. A while later you feel a tap on your shoulder and see it's the same man.]]
  text[2]   = [["Hello, sorry to interupt you. I'm lieutenant Tamrit from the empire Armada, shipping division. We're having another recruitment operation and would be interested in having another pilot among us. Would you be interested in working for the Empire?"]]
  text[3]   = [["Welcome aboard.", says Tamrit before giving you a firm handshake. "At first you'll be tested with cargo missions while we get data on your flying skills. Later you could get called for more important missions. Who knows? You could be the next Medek, greatest pilot we ever had on the Armada."
    He hits a couple buttons on his wrist computer that springs into action.
    "It looks like we already have a simple task for you. Deliver these parcels to %s. The best pilots started out delivering papers and ended up flying into combat against large warships in the interception division."]]
  text[4]   = [["You deliver the parcels to the Empire station at the %s spaceport. Afterwards they make you do some paperwork to formalize your participation with the Empire. You aren't too sure of your encounter with the Empire, only time will tell.]]
end

function create()
  -- Intro message.
  tk.msg(title[1], text[2])
  if tk.yesno(title[1], text[2]) then
    misn.accept()

    dest = space.getPlanet("Empire");

    -- Mission details.
    reward = 3000
    misn.setTitle(misn_title)
    misn.setReward(string.format(misn_reward, reward))
    misn.setDesc(string.format(misn_desc, dest))
    
    tk.msg(title[2], string.format(text[3], dest))

    -- Set up the goal.
    parcels = player.addCargo("Parcels", 0)
    hook.land("land")
  end
end

function land()
  if space.landName() == dest then
    if player.rmCargo(parcels) then
      player.pay(reward)
      -- More flavour text :)
      tk.msg(title[3], string.format(text[4], dest))
      misn.finish(true)
    end
  end
end

